#import "MyController.h"

@implementation MyController



#pragma mark -
#pragma mark Startup and Shutdown

- (id) init
{
    int i, j;
    if (self = [super init])
    {
        _mailboxes = [[NSMutableArray alloc] init];
        
        /* Create initial mailboxes and emails */
        for (i = 1; i <= 3; i++) {
            Mailbox *mbox = [[[Mailbox alloc] init] autorelease];
            NSMutableDictionary *props = [mbox properties];
            [props setValue:[NSString stringWithFormat:@"Mailbox #%d", i]
                     forKey:@"title"];

            for (j = 0; j < i; j++) {
                Email *em = [[[Email alloc] init] autorelease];
                [[mbox emails] addObject:em];
            }
            
            [_mailboxes addObject:mbox];
        }
    }
    return self;
}

- (void) dealloc
{
    [_mailboxes release];
    
    [super dealloc];
}



#pragma mark -
#pragma mark Simple Accessors

- (NSMutableArray *) mailboxes
{
    return _mailboxes;
}

- (void) setMailboxes: (NSArray *)newMailboxes
{
    if (_mailboxes != newMailboxes)
    {
        [_mailboxes autorelease];
        _mailboxes = [[NSMutableArray alloc] initWithArray: newMailboxes];
    }
}

@end
